Bug 61389 - [Template Manager] Access to features as Properties, Set as default, Delete is difficult
Summary: [Template Manager] Access to features as Properties, Set as default, Delete i...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.1.0 target:4.0.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-02-24 11:12 UTC by pierre-yves samyn
Modified: 2013-04-21 07:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-02-24 11:12:21 UTC
Hello

Access to features (Properties, Set as default, Delete...)
is now only possible through File> New> Templates, then choose a template, not through "Save as Template".

This is particularly troublesome for "Set as default" because it requires to "return" on the dialog when creating a model that we want to define as the default template.

It would be fine if the toolbar that appears when you select an existing model also with File> Save as template

Expected behaviour:
1.File> Save as template
2.Select a category
3.Click Save, give a name, Accept
4.Select the template, toolbar appears.
 
Platform : Windows 7 64bits
Version 4.0.1.1 (Build ID: 2c0c17a6e4bee0ee28131ea4bdc47edc700d659)

Regards
Pierre-Yves
Operating System: All
Version: 4.0.1.1 rc
Comment 1 Thomas van der Meulen 2013-02-24 11:26:59 UTC
I understand what you mean, I wil set it to new.
Comment 2 Cor Nouws 2013-03-02 23:07:16 UTC
and related to bug 60589
Comment 3 Commit Notification 2013-04-09 15:18:06 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff7a40c588bc37e5d6bcaf197ff46d86bdbd93a7

fdo#61389 - Display Properties, Set as default actions in save mode.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-04-10 08:33:50 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94d3d78aa7b7258f0a2f397d36599928342959e6&h=libreoffice-4-0

fdo#61389 - Display Properties, Set as default actions in save mode.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 pierre-yves samyn 2013-04-21 07:43:38 UTC
Hello

WORKSFORME with Windows 7 64bits &
Version 4.0.3.1 (Build ID: a67943cd4d125208f4ea7fa29439551825cfb39)

Thank you
Regards
Pierre-Yves
Comment 6 Jean-Baptiste Faure 2013-04-21 07:57:37 UTC
Changed resolution from WorksForMe to FIXED as there is a commit which fixes this issue.

best regards. JBF